restart
add wave CLK    
add wave CD
add wave PB_L
add wave QA
add wave QB

-- Clear Direct will not be used
force CD 0

-- Pull up resistor connects PB_L to high 
force PB_L 1

-- Start the CLK of a 100 Hz frequency (10 ms period and 25% duty cycle) 
force CLK 0 0, 1 7.5ms -repeat 10 ms
run 15.2ms

-- Later,  let's click the PB_L so that a noise signal is generated randomly 

force PB_L 0  
run 1.43ms
force PB_L 1 
run 3.123ms   
force PB_L 0  
run 2.43ms
force PB_L 1 
run 2.7ms  
force PB_L 0  
run 4.44ms
force PB_L 1 
run 2.7ms     
force PB_L 0  
run 95.33ms    
-- and now, let simulate the button release also with some glitches
force PB_L 1 
run 2.7ms 
force PB_L 0 
run 1.234ms  
force PB_L 1 
run 0.3ms 
force PB_L 0 
run 2.4ms
force PB_L 1 
run 400.6 ms

-- In this way, the QA and the QB will be generated as clean 
-- pulses, delayed but synchronised with the CLK rising edge.


